Search
Run search (async)
Use a data source to search for people and company data. This endpoint creates a search task and returns immediately with status pending; poll the /check endpoint until the status becomes completed or failed.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/search/run" \ -H "Content-Type: application/json" \ -d '{ "search": { "search_id": "people:profiles:crustdata@1", "config": { "limit": null, "filters": {} } } }'{ "id": "string", "status": "completed", "search_id": "companies:profiles:crustdata@1", "errors": [ { "code": "string", "message": "string", "path": "string" } ], "results": [ { "property1": { "value": "string", "status": "completed", "type": "string", "format": "json_object", "resolved_by": { "ref": "prompt:run@1", "environment": "production", "config_hash": "string", "input_hash": "string" }, "widgets": { "display_value": { "type": "static", "label": "string", "marks": [ "bold" ] }, "entity_logo": { "type": "static", "image_url": "http://example.com", "entity": "string" }, "external_link": { "type": "static", "url": "http://example.com" }, "location_indicator": { "type": "static", "emoji": "string" }, "avatar": { "type": "static", "image_url": "http://example.com", "name": "string" }, "waterfall": { "type": "static", "attempted_providers": [ { "provider": "pipe0" } ], "available_providers": [ "pipe0" ], "successful_provider": "pipe0" }, "icon": { "type": "static", "key": "linkedin" }, "action_summary": { "type": "static", "result_status": "completed" }, "sources": { "type": "static", "list": [ { "source": "string", "description": "string", "url": "string" } ] }, "confidence": { "type": "static", "numeric": 1 }, "emoji": { "type": "static", "value": "string" } } }, "property2": { "value": "string", "status": "completed", "type": "string", "format": "json_object", "resolved_by": { "ref": "prompt:run@1", "environment": "production", "config_hash": "string", "input_hash": "string" }, "widgets": { "display_value": { "type": "static", "label": "string", "marks": [ "bold" ] }, "entity_logo": { "type": "static", "image_url": "http://example.com", "entity": "string" }, "external_link": { "type": "static", "url": "http://example.com" }, "location_indicator": { "type": "static", "emoji": "string" }, "avatar": { "type": "static", "image_url": "http://example.com", "name": "string" }, "waterfall": { "type": "static", "attempted_providers": [ { "provider": "pipe0" } ], "available_providers": [ "pipe0" ], "successful_provider": "pipe0" }, "icon": { "type": "static", "key": "linkedin" }, "action_summary": { "type": "static", "result_status": "completed" }, "sources": { "type": "static", "list": [ { "source": "string", "description": "string", "url": "string" } ] }, "confidence": { "type": "static", "numeric": 1 }, "emoji": { "type": "static", "value": "string" } } } } ], "organization_id": "string", "next_page": { "search_id": "people:profiles:crustdata@1", "connector": { "strategy": "first", "connections": [ { "type": "vault", "connection": "string" } ] }, "config": { "limit": null, "cursor": "string", "output_fields": { "name": { "alias": "", "enabled": true }, "company_website_url": { "alias": "", "enabled": true }, "profile_url": { "alias": "", "enabled": true }, "job_title": { "alias": "", "enabled": true }, "crustdata_person_match": { "alias": "", "enabled": true } }, "filters": { "locations": { "include": [], "exclude": [] }, "current_job_titles": { "include": [], "exclude": [] }, "current_employers": { "include": [], "exclude": [] }, "current_employers_website_urls": { "include": [], "exclude": [] }, "current_employers_linkedin_industries": { "include": [], "exclude": [] }, "years_at_current_company": [], "previous_employers_website_urls": { "include": [], "exclude": [] }, "previous_seniority_levels": { "include": [], "exclude": [] }, "previous_employers": { "include": [], "exclude": [] }, "previous_job_titles": { "include": [], "exclude": [] }, "previous_employers_linkedin_industries": { "include": [], "exclude": [] }, "profile_headline_keywords": { "include": [], "exclude": [] }, "profile_summary_keywords": { "include": [], "exclude": [] }, "profile_languages": { "include": [], "exclude": [] }, "languages": { "include": [], "exclude": [] }, "skills": { "include": [], "exclude": [] }, "years_of_experience": [], "current_seniority_levels": { "include": [], "exclude": [] }, "certifications": { "include": [], "exclude": [] }, "honors": { "include": [], "exclude": [] }, "recently_changed_jobs": null, "fields_of_study": { "include": [], "exclude": [] }, "degree_names": { "include": [], "exclude": [] }, "school_names": { "include": [], "exclude": [] }, "current_school_names": { "include": [], "exclude": [] }, "extracurricular_activities": { "include": [], "exclude": [] } } } }, "pagination_type": "cursor", "total_pages": 0, "field_definitions": { "property1": { "type": "string", "label": "string", "format": "json_object", "json_metadata": { "example_value": null, "schema": null }, "order": 0 }, "property2": { "type": "string", "label": "string", "format": "json_object", "json_metadata": { "example_value": null, "schema": null }, "order": 0 } }}{ "type": "invalid-input", "title": "Invalid Input", "status": 400, "detail": "Name must be a string"}{ "type": "invalid-input", "title": "Invalid Input", "status": 400, "detail": "Name must be a string"}{ "type": "invalid-input", "title": "Invalid Input", "status": 400, "detail": "Name must be a string"}{ "type": "invalid-input", "title": "Invalid Input", "status": 400, "detail": "Name must be a string"}{ "type": "invalid-input", "title": "Invalid Input", "status": 400, "detail": "Name must be a string"}